commit:     9b5b5b3fe3938646201b4a7c83e337c49cc1964b
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Fri Jan 13 20:21:24 2023 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Fri Jan 13 20:21:24 2023 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9b5b5b3f

dev-python/gwcs: add 0.18.3

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 dev-python/gwcs/gwcs-0.18.3.ebuild | 42 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-python/gwcs/gwcs-0.18.3.ebuild 
b/dev-python/gwcs/gwcs-0.18.3.ebuild
new file mode 100644
index 000000000..c75d7b534
--- /dev/null
+++ b/dev-python/gwcs/gwcs-0.18.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Generalized World Coordinate System"
+HOMEPAGE="https://gwcs.readthedocs.io/en/latest/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Tests do not pass, reported upstream:
+# https://github.com/spacetelescope/gwcs/issues/437
+RESTRICT=test
+
+BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-doctestplus[${PYTHON_USEDEP}]
+       )
+"
+
+RDEPEND="
+       dev-python/asdf[${PYTHON_USEDEP}]
+       >=dev-python/astropy-4.1[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+"
+
+# TODO: package stsci-rtd-theme
+#distutils_enable_sphinx docs dev-python/sphinx-astropy 
dev-python/sphinx-automodapi dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_test() {
+       # discovers things in docs dir if we do not
+       # explicitly set it to run on the tests dir
+       pytest -vv gwcs/tests || die " Tests failed with ${EPYTHON}"
+}

Reply via email to